package demo.action;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.Resource;

import org.seasar.doma.copy.CopyUtil;
import org.seasar.struts.annotation.ActionForm;
import org.seasar.struts.annotation.Execute;

import demo.dao.EmpDao;
import demo.domain.Identity;
import demo.dto.EmpDto;
import demo.entity.Emp;
import demo.entity.Emp_;
import demo.form.EmpForm;

public class EmpAction {

    public List<EmpDto> empItems = new ArrayList<EmpDto>();

    @ActionForm
    @Resource
    protected EmpForm empForm;

    @Resource
    protected EmpDao empDao;

    @Execute(validator = false)
    public String index() {
        for (Emp emp : empDao.findAll()) {
            EmpDto empDto = new EmpDto();
            CopyUtil.copy(emp, empDto);
            empItems.add(empDto);
        }
        return "list.jsp";
    }

    @Execute(validator = false, urlPattern = "show/{id}")
    public String show() {
        Emp entity = empDao.findById(new Identity(empForm.id));
        CopyUtil.copy(entity, empForm);
        return "show.jsp";
    }

    @Execute(validator = false, urlPattern = "edit/{id}")
    public String edit() {
        Emp entity = empDao.findById(new Identity(empForm.id));
        CopyUtil.copy(entity, empForm);
        return "edit.jsp";
    }

    @Execute(validator = false)
    public String create() {
        return "create.jsp";
    }

    @Execute(validator = false, urlPattern = "delete/{id}/{versionNo}", redirect = true)
    public String delete() {
        Emp entity = new Emp_();
        CopyUtil.copy(empForm, entity);
        empDao.delete(entity);
        return "/emp/";
    }

    @Execute(input = "create.jsp", redirect = true)
    public String insert() {
        Emp entity = new Emp_();
        CopyUtil.copy(empForm, entity);
        empDao.insert(entity);
        return "/emp/";
    }

    @Execute(input = "edit.jsp", redirect = true)
    public String update() {
        Emp entity = new Emp_();
        CopyUtil.copy(empForm, entity);
        empDao.update(entity);
        return "/emp/";
    }
}